Senders
All operations require authentication.
List sendersProduction
List senders. Returns the senders of the account. A sender is the name or number shown to receivers, and must be validated before it can be used.
Path parameters
The internal name of your SMS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a senderProduction
Get a sender. Returns the sender: status (enable, disable, waitingValidation or refused), type, description and the comment of the moderator.
Path parameters
The sms sender
The internal name of your SMS offer
Response
Message sent by the moderator
Sender description
Specify if the sender is custom or not
customdomainlinenicownervirtualThe sms sender
Sender status
disableenablerefusedwaitingValidationSpecify the kind of sender
alphanumericshortcodetime2chatvirtualValidation media identifier
Example uses sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "description": "string", "referer": "custom", "sender": "string", "status": "disable", "type": "alpha", "validationMedia": "string"}
Create a senderProduction
Create a sender. Creates a sender (alphanumeric or phone number). The sender is moderated before it can be used.
Path parameters
The internal name of your SMS offer
Request body (required)
Sender description
Message seen by the moderator
The sender (alpha or phone number)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a senderProduction
Delete a sender. Deletes the sender. It can no longer be used as the name or number shown to the receivers of the SMS sent.
Path parameters
The sms sender
The internal name of your SMS offer
Response
Example uses sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender} \
-H "authorization: Bearer $OVH_TOKEN"Update a senderProduction
Update a sender. Updates the sender description and its status, to enable or disable a validated sender.
Path parameters
The sms sender
The internal name of your SMS offer
Request body (required)
Message sent by the moderator
Sender description
Specify if the sender is custom or not
customdomainlinenicownervirtualThe sms sender
Sender status
disableenablerefusedwaitingValidationSpecify the kind of sender
alphanumericshortcodetime2chatvirtualValidation media identifier
Response
Example uses sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender} \
-H "authorization: Bearer $OVH_TOKEN"List validation documentsProduction
List validation documents. Returns the identifiers of the documents sent to validate the sender. Get a validation document for its name, size and download URL.
Path parameters
The sms sender
The internal name of your SMS offer
Response
Example uses sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender}/ documents \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a validation documentProduction
Get a validation document. Returns the validation document: name, description, size, creation date and the URL to download it.
Path parameters
Document ID
The sms sender
The internal name of your SMS offer
Response
Creation datetime
Document description
Document ID
URL to get document
Document name
URL to upload document
Document size (in bytes)
Example uses documentID = 00000000-0000-0000-0000-000000000000, sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender}/ documents/ {documentID} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "documentID": "00000000-0000-0000-0000-000000000000", "getUrl": "string", "name": "string", "putUrl": "string", "size": 0}
Create a validation documentProduction
Create a validation document. Creates an empty validation document with a name and a description. Returns the URL to upload the file.
Path parameters
The sms sender
The internal name of your SMS offer
Request body (required)
Document description
Document name
Response
Creation datetime
Document description
Document ID
URL to get document
Document name
URL to upload document
Document size (in bytes)
Example uses sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender}/ documents \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "documentID": "00000000-0000-0000-0000-000000000000", "getUrl": "string", "name": "string", "putUrl": "string", "size": 0}
Update a validation documentProduction
Update a validation document. Updates the name and the description of the validation document. The file itself is uploaded with the URL given at creation.
Path parameters
Document ID
The sms sender
The internal name of your SMS offer
Request body (required)
Creation datetime
Document description
Document ID
URL to get document
Document name
URL to upload document
Document size (in bytes)
Response
Example uses documentID = 00000000-0000-0000-0000-000000000000, sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender}/ documents/ {documentID} \
-H "authorization: Bearer $OVH_TOKEN"Validate a senderProduction
Validate a sender. Validates the sender with the validation code received. Once validated, the sender can be used to send SMS.
Path parameters
The sms sender
The internal name of your SMS offer
Request body (required)
The validation code
Response
Example uses sender = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ senders/ {sender}/ validate \
-H "authorization: Bearer $OVH_TOKEN"List senders available for validationProduction
List senders available for validation. Returns the senders linked to the customer account or to OVHcloud services, which can be validated automatically.
Path parameters
The internal name of your SMS offer
Query parameters
Information type
domainnichandleResponse
The referer of the available sender
domainnichandleExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ sendersAvailableForValidation \
-H "authorization: Bearer $OVH_TOKEN"[ { "referer": "domain", "sender": "string" }]